Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451044 - Add list and delete operations for rhn comps management
Summary: Add list and delete operations for rhn comps management
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend
Version: RHN Stable
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Amy Owens
URL:
Whiteboard: US=30095
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 15:13 UTC by James Bowes
Modified: 2013-01-10 09:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-25 13:03:33 UTC


Attachments (Terms of Use)

Description James Bowes 2008-06-12 15:13:22 UTC
Right now you can only add a comps file to a channel with rhn-manage-comps. Add
options to let you view the comps file associated with a channel, or remove it.

Comment 1 James Bowes 2008-07-02 12:36:44 UTC
To test:
 * make sure you have the latest rhn-content-mgmt rpms from brew
 * use 'rhn-manage-comps read rhel-i386-server-5' to see the name of the comps    
   file for the rhel 5 i386 channel.
 * use 'rhn-manage-comps delete rhel-i386-server-5' to unassociate the comps
file for the rhel 5 i386 channel.
 * verify that the delete worked with 'read'

Comment 2 Stephen Herr 2008-07-08 20:16:36 UTC
verified in dev

Comment 3 Amy Owens 2008-09-08 15:21:09 UTC
verified in qa


Note You need to log in before you can comment on or make changes to this bug.